Skip to main content
GET
/
v1
/
refunds
List
curl --request GET \
  --url https://{defaultHost}/v1/refunds \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/refunds"
  },
  "data": [
    {
      "id": "d578e2a7-9f14-4df2-a46f-8116bf4ba647",
      "object": "refund",
      "amount": 1450,
      "currency": "usd",
      "external_refund_id": "1sbc6zzclr3p8ul",
      "failure_reason": null,
      "live_mode": true,
      "metadata": {},
      "reason": "requested_by_customer",
      "status": "pending",
      "charge": "cf89097a-996b-4b79-b131-fd6a53790e4b",
      "customer": "552c81da-fbca-4cf2-a7e5-45e543127a96",
      "return_request": null,
      "created_at": 1780335147,
      "updated_at": 1780335147
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

charge_ids[]
string[]

Only return objects with the given charge IDs.

customer_ids[]
string[]

Only return objects that belong to the given customers.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

live_mode
boolean

Only return objects that are live mode or test mode.

page
integer

The page of items you want returned.

return_request_ids[]
string[]

Only return objects that belong to the given return requests.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.